<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: SettingsService Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classSettingsService-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SettingsService Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for SettingsService:</div>
<div class="dyncontent">
<div class="center"><img src="classSettingsService__inherit__graph.png" border="0" usemap="#SettingsService_inherit__map" alt="Inheritance graph"/></div>
<map name="SettingsService_inherit__map" id="SettingsService_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,165,296"/>
<area shape="rect" title=" " alt="" coords="48,5,123,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for SettingsService:</div>
<div class="dyncontent">
<div class="center"><img src="classSettingsService__coll__graph.png" border="0" usemap="#SettingsService_coll__map" alt="Collaboration graph"/></div>
<map name="SettingsService_coll__map" id="SettingsService_coll__map">
<area shape="rect" title=" " alt="" coords="5,131,165,296"/>
<area shape="rect" title=" " alt="" coords="48,5,123,83"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4d459526c9070c13012a5ad3c3938a14"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#a4d459526c9070c13012a5ad3c3938a14">~SettingsService</a> ()</td></tr>
<tr class="separator:a4d459526c9070c13012a5ad3c3938a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c952e5343c99b13c7cab66b13baf28a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#a0c952e5343c99b13c7cab66b13baf28a">read</a> ()</td></tr>
<tr class="separator:a0c952e5343c99b13c7cab66b13baf28a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43139c98fdbc51a54b70d657b34c34a3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#a43139c98fdbc51a54b70d657b34c34a3">write</a> ()</td></tr>
<tr class="separator:a43139c98fdbc51a54b70d657b34c34a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa41243b84e160e7e9ffc188aa3044a25"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#aa41243b84e160e7e9ffc188aa3044a25">username</a> () const</td></tr>
<tr class="separator:aa41243b84e160e7e9ffc188aa3044a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae15dcf73c0a09ab8e088ba4b80943b94"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#ae15dcf73c0a09ab8e088ba4b80943b94">numberOfPlayers</a> () const</td></tr>
<tr class="separator:ae15dcf73c0a09ab8e088ba4b80943b94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a53e5dced83d37fac8dcbcb04a0446f56"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classSettingsService.html">SettingsService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#a53e5dced83d37fac8dcbcb04a0446f56">getInstance</a> ()</td></tr>
<tr class="separator:a53e5dced83d37fac8dcbcb04a0446f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9d2cbf4887c25dded6f87a67a3287573"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#a9d2cbf4887c25dded6f87a67a3287573">settings</a></td></tr>
<tr class="separator:a9d2cbf4887c25dded6f87a67a3287573"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa1db9ed52368b894f160306c631ca50e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettingsService.html#aa1db9ed52368b894f160306c631ca50e">SettingsService</a> (QObject *parent=nullptr)</td></tr>
<tr class="separator:aa1db9ed52368b894f160306c631ca50e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa1db9ed52368b894f160306c631ca50e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1db9ed52368b894f160306c631ca50e">&#9670;&nbsp;</a></span>SettingsService()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SettingsService::SettingsService </td>
          <td>(</td>
          <td class="paramtype">QObject *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d459526c9070c13012a5ad3c3938a14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d459526c9070c13012a5ad3c3938a14">&#9670;&nbsp;</a></span>~SettingsService()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SettingsService::~SettingsService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a53e5dced83d37fac8dcbcb04a0446f56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53e5dced83d37fac8dcbcb04a0446f56">&#9670;&nbsp;</a></span>getInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classSettingsService.html">SettingsService</a>&amp; SettingsService::getInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae15dcf73c0a09ab8e088ba4b80943b94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae15dcf73c0a09ab8e088ba4b80943b94">&#9670;&nbsp;</a></span>numberOfPlayers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SettingsService::numberOfPlayers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c952e5343c99b13c7cab66b13baf28a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c952e5343c99b13c7cab66b13baf28a">&#9670;&nbsp;</a></span>read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SettingsService::read </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa41243b84e160e7e9ffc188aa3044a25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa41243b84e160e7e9ffc188aa3044a25">&#9670;&nbsp;</a></span>username()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const QString SettingsService::username </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43139c98fdbc51a54b70d657b34c34a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43139c98fdbc51a54b70d657b34c34a3">&#9670;&nbsp;</a></span>write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SettingsService::write </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a9d2cbf4887c25dded6f87a67a3287573"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d2cbf4887c25dded6f87a67a3287573">&#9670;&nbsp;</a></span>settings</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject SettingsService::settings</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="settingsservice_8cpp.html">settingsservice.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
